#!/bin/bash

# Usage: ./create-config.sh <system> <method>
# Example: ./create-config.sh `uname -n` tar

. "${0%/*}"/synbak-utils-functions.sh

#synbak_version=$(synbak -v | awk '// { print gensub("^version[[:space:]]*([^ ]+).*$","\\1","") }')
example_config="/usr/share/synbak/template.conf"

mkdir -p $(dirname $usr_file_conf)
cp -f "$example_config" "$usr_file_conf"

"${0%/*}"/write-param.sh "$1" "$2" report_html no
"${0%/*}"/write-param.sh "$1" "$2" backup_source "/etc /home /root /var"
"${0%/*}"/write-param.sh "$1" "$2" backup_destination '/var/synbak/$system/$method'
"${0%/*}"/write-param.sh "$1" "$2" backup_exclude '/var/synbak *.tmp'
