#!/bin/bash
# Do actual backup
# Usage: do-backup.sh <system> <method> [extra_param]

. /usr/share/synbak/functions.sh
. "${0%/*}/synbak-utils-functions.sh"

[ -n "$3" ] && extra_params="-M $3"
[ -z "$3" -a x"$2" = x"tar" ] && extra_params="-M bz2"

check_usr_file_conf
file_config_field_import "$usr_file_conf" backup_destination path notnull

[ -d "$backup_destination" ] || mkdir -p "$backup_destination" || exit 1

eval synbak -s "$1" -m "$2" "$extra_params"
