#!/bin/bash

# List existing backups

. /usr/share/synbak/functions.sh
. "${0%/*}/synbak-utils-functions.sh"

check_usr_file_conf

file_config_field_import "$usr_file_conf" backup_destination path notnull

pattern="*"
previous_dir="$PWD"
cd $backup_destination || exit 2
# FIXME: force LC_COLLATE before sort
find -maxdepth 1 -name "${pattern}" | sed -e 's/^.\///' | grep -wv ^"." | sort
cd "$previous_dir"
